<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.16"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Zonzay: jpeg_compress_struct Struct Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="zonzay.png"/></td>
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">Zonzay
   &#160;<span id="projectnumber">1</span>
   </div>
   <div id="projectbrief">Laugh game challenge</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.16 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-attribs">Public Attributes</a> &#124;
<a href="structjpeg__compress__struct-members.html">List of all members</a>  </div>
  <div class="headertitle">
<div class="title">jpeg_compress_struct Struct Reference</div>  </div>
</div><!--header-->
<div class="contents">
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-attribs"></a>
Public Attributes</h2></td></tr>
<tr class="memitem:a831013770bec36f77dd2048c8771513c"><td class="memItemLeft" align="right" valign="top"><a id="a831013770bec36f77dd2048c8771513c"></a>
&#160;</td><td class="memItemRight" valign="bottom"><b>jpeg_common_fields</b></td></tr>
<tr class="separator:a831013770bec36f77dd2048c8771513c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab31c2c756e309dee8d0318557353ba40"><td class="memItemLeft" align="right" valign="top"><a id="ab31c2c756e309dee8d0318557353ba40"></a>
struct <a class="el" href="structjpeg__destination__mgr.html">jpeg_destination_mgr</a> *&#160;</td><td class="memItemRight" valign="bottom"><b>dest</b></td></tr>
<tr class="separator:ab31c2c756e309dee8d0318557353ba40"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac8e50a2c70252c53f3e10b886818f2cf"><td class="memItemLeft" align="right" valign="top"><a id="ac8e50a2c70252c53f3e10b886818f2cf"></a>
JDIMENSION&#160;</td><td class="memItemRight" valign="bottom"><b>image_width</b></td></tr>
<tr class="separator:ac8e50a2c70252c53f3e10b886818f2cf"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a30863835e7785b7df800811f842b2da0"><td class="memItemLeft" align="right" valign="top"><a id="a30863835e7785b7df800811f842b2da0"></a>
JDIMENSION&#160;</td><td class="memItemRight" valign="bottom"><b>image_height</b></td></tr>
<tr class="separator:a30863835e7785b7df800811f842b2da0"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af5b66b039ea5a96bb2f5cf0254115837"><td class="memItemLeft" align="right" valign="top"><a id="af5b66b039ea5a96bb2f5cf0254115837"></a>
int&#160;</td><td class="memItemRight" valign="bottom"><b>input_components</b></td></tr>
<tr class="separator:af5b66b039ea5a96bb2f5cf0254115837"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac27d1dfbbbd677aab9fb570c58ca960d"><td class="memItemLeft" align="right" valign="top"><a id="ac27d1dfbbbd677aab9fb570c58ca960d"></a>
J_COLOR_SPACE&#160;</td><td class="memItemRight" valign="bottom"><b>in_color_space</b></td></tr>
<tr class="separator:ac27d1dfbbbd677aab9fb570c58ca960d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac5d2e16382ea12fb4e3bd6a69f7831ea"><td class="memItemLeft" align="right" valign="top"><a id="ac5d2e16382ea12fb4e3bd6a69f7831ea"></a>
double&#160;</td><td class="memItemRight" valign="bottom"><b>input_gamma</b></td></tr>
<tr class="separator:ac5d2e16382ea12fb4e3bd6a69f7831ea"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a64c5b59e436f7d3d1d38b58d49993469"><td class="memItemLeft" align="right" valign="top"><a id="a64c5b59e436f7d3d1d38b58d49993469"></a>
int&#160;</td><td class="memItemRight" valign="bottom"><b>data_precision</b></td></tr>
<tr class="separator:a64c5b59e436f7d3d1d38b58d49993469"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a524f0284a6fcf96b21c8a745282c15e2"><td class="memItemLeft" align="right" valign="top"><a id="a524f0284a6fcf96b21c8a745282c15e2"></a>
int&#160;</td><td class="memItemRight" valign="bottom"><b>num_components</b></td></tr>
<tr class="separator:a524f0284a6fcf96b21c8a745282c15e2"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a7fb5305ec135340eddc2ebabec6a84d7"><td class="memItemLeft" align="right" valign="top"><a id="a7fb5305ec135340eddc2ebabec6a84d7"></a>
J_COLOR_SPACE&#160;</td><td class="memItemRight" valign="bottom"><b>jpeg_color_space</b></td></tr>
<tr class="separator:a7fb5305ec135340eddc2ebabec6a84d7"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a4d37d3f336cc11acafef541bf8ed38cc"><td class="memItemLeft" align="right" valign="top"><a id="a4d37d3f336cc11acafef541bf8ed38cc"></a>
<a class="el" href="structjpeg__component__info.html">jpeg_component_info</a> *&#160;</td><td class="memItemRight" valign="bottom"><b>comp_info</b></td></tr>
<tr class="separator:a4d37d3f336cc11acafef541bf8ed38cc"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a70a194c6a9c1744e1ed3a97232fb97f5"><td class="memItemLeft" align="right" valign="top"><a id="a70a194c6a9c1744e1ed3a97232fb97f5"></a>
<a class="el" href="struct_j_q_u_a_n_t___t_b_l.html">JQUANT_TBL</a> *&#160;</td><td class="memItemRight" valign="bottom"><b>quant_tbl_ptrs</b> [NUM_QUANT_TBLS]</td></tr>
<tr class="separator:a70a194c6a9c1744e1ed3a97232fb97f5"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a6a69e90a68e1f7f46774d83ba3737a4e"><td class="memItemLeft" align="right" valign="top"><a id="a6a69e90a68e1f7f46774d83ba3737a4e"></a>
<a class="el" href="struct_j_h_u_f_f___t_b_l.html">JHUFF_TBL</a> *&#160;</td><td class="memItemRight" valign="bottom"><b>dc_huff_tbl_ptrs</b> [NUM_HUFF_TBLS]</td></tr>
<tr class="separator:a6a69e90a68e1f7f46774d83ba3737a4e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a98d33cae3c8eee8f1f8d662e31cb905d"><td class="memItemLeft" align="right" valign="top"><a id="a98d33cae3c8eee8f1f8d662e31cb905d"></a>
<a class="el" href="struct_j_h_u_f_f___t_b_l.html">JHUFF_TBL</a> *&#160;</td><td class="memItemRight" valign="bottom"><b>ac_huff_tbl_ptrs</b> [NUM_HUFF_TBLS]</td></tr>
<tr class="separator:a98d33cae3c8eee8f1f8d662e31cb905d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a6fcf8f83e5281f2c21855d2f6cfada9c"><td class="memItemLeft" align="right" valign="top"><a id="a6fcf8f83e5281f2c21855d2f6cfada9c"></a>
unsigned char&#160;</td><td class="memItemRight" valign="bottom"><b>arith_dc_L</b> [NUM_ARITH_TBLS]</td></tr>
<tr class="separator:a6fcf8f83e5281f2c21855d2f6cfada9c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a2ee4cae99612b5d2eacc2f5000b2ee3d"><td class="memItemLeft" align="right" valign="top"><a id="a2ee4cae99612b5d2eacc2f5000b2ee3d"></a>
unsigned char&#160;</td><td class="memItemRight" valign="bottom"><b>arith_dc_U</b> [NUM_ARITH_TBLS]</td></tr>
<tr class="separator:a2ee4cae99612b5d2eacc2f5000b2ee3d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac0619c534a8604a9a907d5273d620925"><td class="memItemLeft" align="right" valign="top"><a id="ac0619c534a8604a9a907d5273d620925"></a>
unsigned char&#160;</td><td class="memItemRight" valign="bottom"><b>arith_ac_K</b> [NUM_ARITH_TBLS]</td></tr>
<tr class="separator:ac0619c534a8604a9a907d5273d620925"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:abf2f96c340659a09a9ce08469a17e08b"><td class="memItemLeft" align="right" valign="top"><a id="abf2f96c340659a09a9ce08469a17e08b"></a>
int&#160;</td><td class="memItemRight" valign="bottom"><b>num_scans</b></td></tr>
<tr class="separator:abf2f96c340659a09a9ce08469a17e08b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a545fed3fef0d0c5962dbe0e80c067c03"><td class="memItemLeft" align="right" valign="top"><a id="a545fed3fef0d0c5962dbe0e80c067c03"></a>
const <a class="el" href="structjpeg__scan__info.html">jpeg_scan_info</a> *&#160;</td><td class="memItemRight" valign="bottom"><b>scan_info</b></td></tr>
<tr class="separator:a545fed3fef0d0c5962dbe0e80c067c03"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a5b4d19e7b7a3ecc390a4f17f54d79679"><td class="memItemLeft" align="right" valign="top"><a id="a5b4d19e7b7a3ecc390a4f17f54d79679"></a>
int&#160;</td><td class="memItemRight" valign="bottom"><b>raw_data_in</b></td></tr>
<tr class="separator:a5b4d19e7b7a3ecc390a4f17f54d79679"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aed2854a3f29e8dd0f2449343dc37d042"><td class="memItemLeft" align="right" valign="top"><a id="aed2854a3f29e8dd0f2449343dc37d042"></a>
int&#160;</td><td class="memItemRight" valign="bottom"><b>arith_code</b></td></tr>
<tr class="separator:aed2854a3f29e8dd0f2449343dc37d042"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a3a8fec7c12209526789bad7ebe759fef"><td class="memItemLeft" align="right" valign="top"><a id="a3a8fec7c12209526789bad7ebe759fef"></a>
int&#160;</td><td class="memItemRight" valign="bottom"><b>optimize_coding</b></td></tr>
<tr class="separator:a3a8fec7c12209526789bad7ebe759fef"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af3099d15dce79cd2356b857dc2de9a6b"><td class="memItemLeft" align="right" valign="top"><a id="af3099d15dce79cd2356b857dc2de9a6b"></a>
int&#160;</td><td class="memItemRight" valign="bottom"><b>CCIR601_sampling</b></td></tr>
<tr class="separator:af3099d15dce79cd2356b857dc2de9a6b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a0e14f65876566ff8eec195d124535307"><td class="memItemLeft" align="right" valign="top"><a id="a0e14f65876566ff8eec195d124535307"></a>
int&#160;</td><td class="memItemRight" valign="bottom"><b>smoothing_factor</b></td></tr>
<tr class="separator:a0e14f65876566ff8eec195d124535307"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab782f698c650e8ec5f9b47043691d3c1"><td class="memItemLeft" align="right" valign="top"><a id="ab782f698c650e8ec5f9b47043691d3c1"></a>
J_DCT_METHOD&#160;</td><td class="memItemRight" valign="bottom"><b>dct_method</b></td></tr>
<tr class="separator:ab782f698c650e8ec5f9b47043691d3c1"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a57ad1f6d9015e25fe272c645dcc3f71e"><td class="memItemLeft" align="right" valign="top"><a id="a57ad1f6d9015e25fe272c645dcc3f71e"></a>
unsigned int&#160;</td><td class="memItemRight" valign="bottom"><b>restart_interval</b></td></tr>
<tr class="separator:a57ad1f6d9015e25fe272c645dcc3f71e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a9636f9df88d5a3ae56f0bb9a5f923db7"><td class="memItemLeft" align="right" valign="top"><a id="a9636f9df88d5a3ae56f0bb9a5f923db7"></a>
int&#160;</td><td class="memItemRight" valign="bottom"><b>restart_in_rows</b></td></tr>
<tr class="separator:a9636f9df88d5a3ae56f0bb9a5f923db7"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a79d632ed1a0914d3fffca49d288f3352"><td class="memItemLeft" align="right" valign="top"><a id="a79d632ed1a0914d3fffca49d288f3352"></a>
int&#160;</td><td class="memItemRight" valign="bottom"><b>write_JFIF_header</b></td></tr>
<tr class="separator:a79d632ed1a0914d3fffca49d288f3352"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a42ec98c72bb890ebb69fd6bb3e0c629f"><td class="memItemLeft" align="right" valign="top"><a id="a42ec98c72bb890ebb69fd6bb3e0c629f"></a>
unsigned char&#160;</td><td class="memItemRight" valign="bottom"><b>JFIF_major_version</b></td></tr>
<tr class="separator:a42ec98c72bb890ebb69fd6bb3e0c629f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a633ae3b2c3e8e9d38ae4de92e6ff2eea"><td class="memItemLeft" align="right" valign="top"><a id="a633ae3b2c3e8e9d38ae4de92e6ff2eea"></a>
unsigned char&#160;</td><td class="memItemRight" valign="bottom"><b>JFIF_minor_version</b></td></tr>
<tr class="separator:a633ae3b2c3e8e9d38ae4de92e6ff2eea"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a6270b3a838c31ce8b706280ee4b4f98b"><td class="memItemLeft" align="right" valign="top"><a id="a6270b3a838c31ce8b706280ee4b4f98b"></a>
unsigned char&#160;</td><td class="memItemRight" valign="bottom"><b>density_unit</b></td></tr>
<tr class="separator:a6270b3a838c31ce8b706280ee4b4f98b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa41032cfb3be53e235fc73003a8d0c02"><td class="memItemLeft" align="right" valign="top"><a id="aa41032cfb3be53e235fc73003a8d0c02"></a>
unsigned short&#160;</td><td class="memItemRight" valign="bottom"><b>X_density</b></td></tr>
<tr class="separator:aa41032cfb3be53e235fc73003a8d0c02"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a672f71465c6f87418543c8bcb6aba83c"><td class="memItemLeft" align="right" valign="top"><a id="a672f71465c6f87418543c8bcb6aba83c"></a>
unsigned short&#160;</td><td class="memItemRight" valign="bottom"><b>Y_density</b></td></tr>
<tr class="separator:a672f71465c6f87418543c8bcb6aba83c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aba39776d2af8e55df99cef72bc9b5d4f"><td class="memItemLeft" align="right" valign="top"><a id="aba39776d2af8e55df99cef72bc9b5d4f"></a>
int&#160;</td><td class="memItemRight" valign="bottom"><b>write_Adobe_marker</b></td></tr>
<tr class="separator:aba39776d2af8e55df99cef72bc9b5d4f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aefb3f2e6479374ba03e7d0421dcfb086"><td class="memItemLeft" align="right" valign="top"><a id="aefb3f2e6479374ba03e7d0421dcfb086"></a>
JDIMENSION&#160;</td><td class="memItemRight" valign="bottom"><b>next_scanline</b></td></tr>
<tr class="separator:aefb3f2e6479374ba03e7d0421dcfb086"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a5547fc8585d5f72dc0ec75d7aa457cd7"><td class="memItemLeft" align="right" valign="top"><a id="a5547fc8585d5f72dc0ec75d7aa457cd7"></a>
int&#160;</td><td class="memItemRight" valign="bottom"><b>progressive_mode</b></td></tr>
<tr class="separator:a5547fc8585d5f72dc0ec75d7aa457cd7"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae8de4e6079b80e3a81135d07934c640d"><td class="memItemLeft" align="right" valign="top"><a id="ae8de4e6079b80e3a81135d07934c640d"></a>
int&#160;</td><td class="memItemRight" valign="bottom"><b>max_h_samp_factor</b></td></tr>
<tr class="separator:ae8de4e6079b80e3a81135d07934c640d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a9e03a4eb7af87c682937caed3d341d4a"><td class="memItemLeft" align="right" valign="top"><a id="a9e03a4eb7af87c682937caed3d341d4a"></a>
int&#160;</td><td class="memItemRight" valign="bottom"><b>max_v_samp_factor</b></td></tr>
<tr class="separator:a9e03a4eb7af87c682937caed3d341d4a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aef01162f4c66434929f933a40e695f9e"><td class="memItemLeft" align="right" valign="top"><a id="aef01162f4c66434929f933a40e695f9e"></a>
JDIMENSION&#160;</td><td class="memItemRight" valign="bottom"><b>total_iMCU_rows</b></td></tr>
<tr class="separator:aef01162f4c66434929f933a40e695f9e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a3387358088abbec1c8838499966c8f06"><td class="memItemLeft" align="right" valign="top"><a id="a3387358088abbec1c8838499966c8f06"></a>
int&#160;</td><td class="memItemRight" valign="bottom"><b>comps_in_scan</b></td></tr>
<tr class="separator:a3387358088abbec1c8838499966c8f06"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a1cacb367b7d69227d3086ff105bca9ab"><td class="memItemLeft" align="right" valign="top"><a id="a1cacb367b7d69227d3086ff105bca9ab"></a>
<a class="el" href="structjpeg__component__info.html">jpeg_component_info</a> *&#160;</td><td class="memItemRight" valign="bottom"><b>cur_comp_info</b> [MAX_COMPS_IN_SCAN]</td></tr>
<tr class="separator:a1cacb367b7d69227d3086ff105bca9ab"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a97f0c5e0ae932d1810007077443da684"><td class="memItemLeft" align="right" valign="top"><a id="a97f0c5e0ae932d1810007077443da684"></a>
JDIMENSION&#160;</td><td class="memItemRight" valign="bottom"><b>MCUs_per_row</b></td></tr>
<tr class="separator:a97f0c5e0ae932d1810007077443da684"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab605396740a26114095bf99c7c7349fb"><td class="memItemLeft" align="right" valign="top"><a id="ab605396740a26114095bf99c7c7349fb"></a>
JDIMENSION&#160;</td><td class="memItemRight" valign="bottom"><b>MCU_rows_in_scan</b></td></tr>
<tr class="separator:ab605396740a26114095bf99c7c7349fb"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac32cf016a916984f68f158e5310a16bb"><td class="memItemLeft" align="right" valign="top"><a id="ac32cf016a916984f68f158e5310a16bb"></a>
int&#160;</td><td class="memItemRight" valign="bottom"><b>blocks_in_MCU</b></td></tr>
<tr class="separator:ac32cf016a916984f68f158e5310a16bb"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a6debf977451892aae1116b47c5c1c95f"><td class="memItemLeft" align="right" valign="top"><a id="a6debf977451892aae1116b47c5c1c95f"></a>
int&#160;</td><td class="memItemRight" valign="bottom"><b>MCU_membership</b> [C_MAX_BLOCKS_IN_MCU]</td></tr>
<tr class="separator:a6debf977451892aae1116b47c5c1c95f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:adda4b7ef0dda94b38b6e34df42769d81"><td class="memItemLeft" align="right" valign="top"><a id="adda4b7ef0dda94b38b6e34df42769d81"></a>
int&#160;</td><td class="memItemRight" valign="bottom"><b>Ss</b></td></tr>
<tr class="separator:adda4b7ef0dda94b38b6e34df42769d81"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af2c1fe7c62791cda75219c10d71132d9"><td class="memItemLeft" align="right" valign="top"><a id="af2c1fe7c62791cda75219c10d71132d9"></a>
int&#160;</td><td class="memItemRight" valign="bottom"><b>Se</b></td></tr>
<tr class="separator:af2c1fe7c62791cda75219c10d71132d9"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a301a95efc904d22aca78592f7a21673a"><td class="memItemLeft" align="right" valign="top"><a id="a301a95efc904d22aca78592f7a21673a"></a>
int&#160;</td><td class="memItemRight" valign="bottom"><b>Ah</b></td></tr>
<tr class="separator:a301a95efc904d22aca78592f7a21673a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a4160152697f6042b8fe1d6838a8118e2"><td class="memItemLeft" align="right" valign="top"><a id="a4160152697f6042b8fe1d6838a8118e2"></a>
int&#160;</td><td class="memItemRight" valign="bottom"><b>Al</b></td></tr>
<tr class="separator:a4160152697f6042b8fe1d6838a8118e2"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a50b9c60f47c9fff393d7d5b3a7b3618e"><td class="memItemLeft" align="right" valign="top"><a id="a50b9c60f47c9fff393d7d5b3a7b3618e"></a>
struct <a class="el" href="structjpeg__comp__master.html">jpeg_comp_master</a> *&#160;</td><td class="memItemRight" valign="bottom"><b>master</b></td></tr>
<tr class="separator:a50b9c60f47c9fff393d7d5b3a7b3618e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab1bb86e9c2ade498b09a9a19d60e6570"><td class="memItemLeft" align="right" valign="top"><a id="ab1bb86e9c2ade498b09a9a19d60e6570"></a>
struct <a class="el" href="structjpeg__c__main__controller.html">jpeg_c_main_controller</a> *&#160;</td><td class="memItemRight" valign="bottom"><b>main</b></td></tr>
<tr class="separator:ab1bb86e9c2ade498b09a9a19d60e6570"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a66875fd858cd11fb7a696a717c5c7b76"><td class="memItemLeft" align="right" valign="top"><a id="a66875fd858cd11fb7a696a717c5c7b76"></a>
struct <a class="el" href="structjpeg__c__prep__controller.html">jpeg_c_prep_controller</a> *&#160;</td><td class="memItemRight" valign="bottom"><b>prep</b></td></tr>
<tr class="separator:a66875fd858cd11fb7a696a717c5c7b76"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad54865b66c30ce332c6757d56393dedc"><td class="memItemLeft" align="right" valign="top"><a id="ad54865b66c30ce332c6757d56393dedc"></a>
struct <a class="el" href="structjpeg__c__coef__controller.html">jpeg_c_coef_controller</a> *&#160;</td><td class="memItemRight" valign="bottom"><b>coef</b></td></tr>
<tr class="separator:ad54865b66c30ce332c6757d56393dedc"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a909e4ca5c3c48f380a53cc1b068eea12"><td class="memItemLeft" align="right" valign="top"><a id="a909e4ca5c3c48f380a53cc1b068eea12"></a>
struct <a class="el" href="structjpeg__marker__writer.html">jpeg_marker_writer</a> *&#160;</td><td class="memItemRight" valign="bottom"><b>marker</b></td></tr>
<tr class="separator:a909e4ca5c3c48f380a53cc1b068eea12"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a7c51e665f18d6e5a0fed053c470f4914"><td class="memItemLeft" align="right" valign="top"><a id="a7c51e665f18d6e5a0fed053c470f4914"></a>
struct <a class="el" href="structjpeg__color__converter.html">jpeg_color_converter</a> *&#160;</td><td class="memItemRight" valign="bottom"><b>cconvert</b></td></tr>
<tr class="separator:a7c51e665f18d6e5a0fed053c470f4914"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a65a72b804640a0c339863f6562098113"><td class="memItemLeft" align="right" valign="top"><a id="a65a72b804640a0c339863f6562098113"></a>
struct <a class="el" href="structjpeg__downsampler.html">jpeg_downsampler</a> *&#160;</td><td class="memItemRight" valign="bottom"><b>downsample</b></td></tr>
<tr class="separator:a65a72b804640a0c339863f6562098113"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac113c777486860f0b2f3784345073a83"><td class="memItemLeft" align="right" valign="top"><a id="ac113c777486860f0b2f3784345073a83"></a>
struct <a class="el" href="structjpeg__forward__dct.html">jpeg_forward_dct</a> *&#160;</td><td class="memItemRight" valign="bottom"><b>fdct</b></td></tr>
<tr class="separator:ac113c777486860f0b2f3784345073a83"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a30477f9e5f6be16823e1aff2762ae270"><td class="memItemLeft" align="right" valign="top"><a id="a30477f9e5f6be16823e1aff2762ae270"></a>
struct <a class="el" href="structjpeg__entropy__encoder.html">jpeg_entropy_encoder</a> *&#160;</td><td class="memItemRight" valign="bottom"><b>entropy</b></td></tr>
<tr class="separator:a30477f9e5f6be16823e1aff2762ae270"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab4a2c220ed2cda1b0d4c88518d02a229"><td class="memItemLeft" align="right" valign="top"><a id="ab4a2c220ed2cda1b0d4c88518d02a229"></a>
<a class="el" href="structjpeg__scan__info.html">jpeg_scan_info</a> *&#160;</td><td class="memItemRight" valign="bottom"><b>script_space</b></td></tr>
<tr class="separator:ab4a2c220ed2cda1b0d4c88518d02a229"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae50a683b4baddef6571900ca6240b1a3"><td class="memItemLeft" align="right" valign="top"><a id="ae50a683b4baddef6571900ca6240b1a3"></a>
int&#160;</td><td class="memItemRight" valign="bottom"><b>script_space_size</b></td></tr>
<tr class="separator:ae50a683b4baddef6571900ca6240b1a3"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<hr/>The documentation for this struct was generated from the following file:<ul>
<li><a class="el" href="jpeglib_8h_source.html">jpeglib.h</a></li>
</ul>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.16
</small></address>
</body>
</html>
